=== cache/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

install(PROGRAMS
	  convertfflcache.pl
	  convertlalcache.pl
	  convertldascache.sh
	  createframecache.pl
        DESTINATION bin
	COMPONENT cache )
