=== config/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------

#========================================================================
# Subdirectories
#========================================================================

add_subdirectory(cmake)
