=== matlab/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

file( GLOB matlab_m "${CMAKE_CURRENT_SOURCE_DIR}/*.m" )
set( matlab_bin_m frextract.m frgetvect.m mkframe.m )
foreach( M ${matlab_bin_m} )
  list( REMOVE_ITEM matlab_m "${CMAKE_CURRENT_SOURCE_DIR}/${M}" )
  string( REGEX REPLACE "[.]m$" ".mexa64" M ${M} )
  list( APPEND matlab_bin_mex ${M} )
endforeach( M ${matlab_bin_m} )

install( FILES ${matlab_m}
         DESTINATION share/${PROJECT_NAME}/matlab
	 COMPONENT matlab )

if( ENABLE_BINARY_MATLAB )
  if ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
   install( FILES ${matlab_bin_m} ${matlab_bin_mex}
   	    DESTINATION share/${PROJECT_NAME}/matlab
	    COMPONENT matlab)
   
  endif ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
endif( ENABLE_BINARY_MATLAB )
