=== papers/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

install(PROGRAMS cleanlatex
        DESTINATION bin
	COMPONENT papers)
