=== segments/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

install(PROGRAMS segdiff segexpr segsum
        DESTINATION bin
	COMPONENT segments)
