=== debian/changelog ===
ligotools (1.2.0-1) unstable; urgency=low

  * Added cache scripts (#4489)

 -- Edward Maros <ed.maros@ligo.org>  Thu, 21 Jul 2016 15:40:58 -0700

ligotools (1.1.0-1) unstable; urgency=low

  * Added matlab scripts (#4447)
  * Removed automake/autoconf files (#4448)

 -- Edward Maros <ed.maros@ligo.org>  Fri, 1 Jul 2016 14:18:45 -0700

ligotools (1.0.4-1) unstable; urgency=low

  * Corrected tconvert handling of dates with OCT in them (#4405)
  * Added support for MacPorts packaging.

 -- Edward Maros <ed.maros@ligo.org>  Mon, 13 Jun 2016 14:30:56 -0700

ligotools (1.0.3-1) unstable; urgency=low

  * Added back the build dependency on TCL

 -- Edward Maros <ed.maros@ligo.org>  Mon, 13 Jun 2016 14:30:56 -0700

ligotools (1.0.2-1) unstable; urgency=low

  * Removed build dependency on TCL

 -- Edward Maros <ed.maros@ligo.org>  Mon, 11 Apr 2016 10:27:37 -0700

ligotools (1.0.1-1) unstable; urgency=low

  * Converted to support building via cmake

 -- Edward Maros <ed.maros@ligo.org>  Fri, 08 Apr 2016 14:31:08 -0700

ligotools (0.1) unstable; urgency=low

  * Initial packaging.

 -- Jameson Rollins <jameson.rollins@ligo.org>  Thu, 26 Jul 2012 09:18:19 -0700
