=== debian/control ===
Source: ligotools
Section: misc
Priority: optional
Maintainer: Edward Maros <ed.maros@ligo.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 cmake,
 tcl
Standards-Version: 3.9.3

Package: ligotools-tconvert
Architecture: all
Depends:
 ${misc:Depends},
 tcl,
 tk
Description: command-line GPS time conversion utility
 Command-line utility to convert to/from GPS seconds, with automatic
 of newly-added leap seconds.

Package: ligotools-scripts
Architecture: all
Depends:
 ${misc:Depends},
 tcl,
 ligotools-tconvert
Description: ligotools command-line utilites
 This package includes the tcl scripts from the original LIGOTools
 suite:
   cleanlatex
   segdiff
   segexpr
   segsum

Package: ligotools-matlab
Architecture: all
Depends:
 ${misc:Depends},
 tcl,
 ligotools-tconvert
Description: ligotools matlab extensions
  Collection of MATLAB macros useful for gravitational analysis

Package: ligotools-cache
Architecture: all
Depends:
 ${misc:Depends},
 perl
Description: ligotools cache utilities
  Utilities to manipulate various caching schemes.
